/* INSTRUCTIONS:
 * Here you can configure:
 * - program version
 * - program description
 * - program authors
 * - floating menu structure (icons, labels, actions)
 */
// -------- ENVIRONMENT VARIABLES --------
export const viteEnv = import.meta.env;
//Main configuration, static data, mostly used here
export const main = {
	api_url: viteEnv.VITE_API_URL || `setup in .env.${viteEnv.MODE}`,
	base_path: viteEnv.VITE_BASE_PATH || "/",
	program_authors: [{ name: "Author Name", email: "email@example.com" }],
	program_description:
		"Lorem ipsum dolor sit amet consectetur adipisicing elit. In eum ratione deserunt veritatis voluptatibus fugit harum? Commodi, eaque saepe facere maiores sit adipisci quis rerum doloribus quia excepturi in tenetur praesentium soluta asperiores nesciunt? Debitis nisi autem ipsa, laborum cumque minima officiis incidunt ullam quaerat similique officia beatae voluptatum maxime praesentium non laudantium rem asperiores amet at! Rem quis quidem ut aspernatur enim aperiam. Tenetur delectus nulla cupiditate corporis quisquam autem ab tempora. Vel voluptatum sit corrupti veniam tempore quos at vero hic alias necessitatibus quidem rerum deleniti enim adipisci nobis repellat, facere ullam modi error quaerat. A, tempora aliquam!",
	program_name:
		`${viteEnv.VITE_APP_NAME}${viteEnv.MODE ? " [development]" : ""}` ||
		"setup in .env",
	program_version: "1.0.0",
};
// -------- FRONTEND CONFIGURATION --------
export const languageMenu = [
	{
		label: "English",
		icon: <p>🇬🇧</p>,
		lang: "eng",
	},
	{
		label: "Polski",
		icon: <p>🇵🇱</p>,
		lang: "pol",
	},
];
